[centos-users 524] Re: Net::SSH::Perl のインストールについて

ml_rh_linux @ spiralsys.com ml_rh_linux @ spiralsys.com
2007年 6月 26日 (火) 12:38:05 JST


矢木 さん RES有り難うございます。

rpmforgeのリポジトリをyumに加えるところで、以下のようなエラーになってしまいま 
した。

どの様にすればよいか、よろしくお願いします。

rpm -Uhv 
http://dag.wieers.com/packages/rpmforge-release/rpmforge-release-0.3.6-1.el5.rf.i386.rpm
http://dag.wieers.com/packages/rpmforge-release/rpmforge-release-0.3.6-1.el5.rf.i386.rpm 
を取得中
エラー: 
http://dag.wieers.com/packages/rpmforge-release/rpmforge-release-0.3.6-1.el5.rf.i386.rpm 
をスキップします - 転送に失敗 - 不明または予期せぬエラー
警告: u 0x9085d18 ctrl 0x9086b80 nrefs != 0 (dag.wieers.com http)


At 23:34 07/06/25, you wrote:
>矢木です。
>
>On 6/25/07, Masakazu Takahashi <emasaka @ gmail.com> wrote:
> > 07/06/25 に ml_rh_linux @ spiralsys.com<ml_rh_linux @ spiralsys.com> さんは書 
> きました:
> > > GMP.xs:4:17: error: gmp.h: そのようなファイルやディレクトリはありません
> >
> >  GMP(任意精度計算ライブラリ)の開発パッケージがインストールされていな 
> いのでは
> > ないでしょうか。
> >
> > 私のところの CentOS 4 で、
> >
> > # yum whatprovides /usr/include/gmp.h
> >
> > を実行してみたところ、gmp-devel パッケージがヒットしました。
>
>CentOSなどのrpmに基ずくシステムの場合、できるだけrpmを用いてインストール
>するのが望ましいと思います。今の場合ですと、
>
>yum provides "perl(Net::SSH::Perl)"
>
>で、perl-Net-SSH-Perl.noarch    1.30-1.el4.rf    rpmforge  とでます。
>
>そこで、
>
>yum install perl-Net-SSH-Perl
>
>とすると、
>
>Dependencies Resolved
>
>=============================================================================
>  Package                 Arch       Version          Repository        Size
>=============================================================================
>Installing:
>  perl-Net-SSH-Perl       noarch     1.30-2.el4.rf    rpmforge          189 k
>Installing for dependencies:
>  perl-Class-Loader       noarch     2.03-1.2.el4.rf  rpmforge          9.5 k
>  perl-Compress-Zlib      i386       1.42-1.el4.rf    rpmforge          152 k
>  perl-Convert-ASCII-Armour  noarch     1.4-1.2.el4.rf   rpmforge           11 k
>  perl-Convert-PEM        noarch     0.07-1.2.el4.rf  rpmforge           19 k
>  perl-Crypt-CBC          noarch     2.22-1.el4.rf    rpmforge           27 k
>  perl-Crypt-DES          i386       2.05-3.2.el4.rf  rpmforge           19 k
>  perl-Crypt-DH           noarch     0.06-1.2.el4.rf  rpmforge           11 k
>  perl-Crypt-DSA          noarch     0.14-1.el4.rf    rpmforge           35 k
>  perl-Crypt-IDEA         i386       1.08-1.el4.rf    rpmforge           32 k
>  perl-Crypt-Primes       i386       0.50-1.2.el4.rf  rpmforge           34 k
>  perl-Crypt-RSA          noarch     1.58-1.el4.rf    rpmforge           69 k
>  perl-Crypt-Random       noarch     1.25-1.2.el4.rf  rpmforge           17 k
>  perl-Data-Buffer        noarch     0.04-1.2.el4.rf  rpmforge           13 k
>  perl-Digest-MD2         i386       2.03-1.2.el4.rf  rpmforge           40 k
>  perl-Math-GMP           i386       2.04-1.2.el4.rf  rpmforge           51 k
>  perl-Math-Pari          i386       2.010706-1.el4.rf  rpmforge          3.0 M
>  perl-Sort-Versions      noarch     1.5-1.2.el4.rf   rpmforge          8.9 k
>  perl-Tie-EncryptedHash  noarch     1.21-1.2.el4.rf  rpmforge           15 k
>
>Transaction Summary
>=============================================================================
>
>がインストールされました。 もちろん、rpmforgeのリポジトリをyumに
>加えておく必要があります。
>_______________________________________________
>centos-users mailing list
>centos-users @ oss.poyo.jp
>http://oss.poyo.jp/mailman/listinfo/centos-users




centos-users メーリングリストの案内